Page MenuHomePhabricator

Add phan to DonationInterface extension
Open, Stalled, LowestPublic

Description

As wmf deployed extension the DonationInterface extension should run phan on CI to found simple bugs in an earlier state of development.

The extension is not using the common folder strucute, it also has more vendor packages than other extensions which needs to be part of the config

Details

Related Gerrit Patches:
integration/config : master[DonationInterface] Add phan dependency
mediawiki/extensions/DonationInterface : masterBuild: Add mediawiki/mediawiki-phan-config

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2019, 8:17 PM
Daimona moved this task from Backlog to Extensions on the phan board.Sep 12 2019, 5:49 PM
Umherirrender triaged this task as Medium priority.

Change 547031 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[integration/config@master] [DonationInterface] Add phan dependency

https://gerrit.wikimedia.org/r/547031

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Note that DonationInterface runs against (a mild fork of) MediaWiki 1.31 on PHP 7.0 in production, and each patch has to be manually cherry-picked to production. Large-scale changes to this repo which can't be back-ported can't be merged, as they'd make it even worse to manage.

Change 547308 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/DonationInterface@master] Build: Add mediawiki/mediawiki-phan-config

https://gerrit.wikimedia.org/r/547308

Change 547308 abandoned by Umherirrender:
Build: Add mediawiki/mediawiki-phan-config

Reason:
See T224763#5620415
Feel free to restore or upload under your own name when interested in that work

https://gerrit.wikimedia.org/r/547308

Change 547031 abandoned by Umherirrender:
[DonationInterface] Add phan dependency

Reason:
See T224763#5620415
Feel free to restore or upload under your own name when interested in that work

https://gerrit.wikimedia.org/r/547031

Umherirrender changed the task status from Open to Stalled.Oct 30 2019, 9:07 PM
Umherirrender removed Umherirrender as the assignee of this task.
Umherirrender lowered the priority of this task from Medium to Lowest.

I have upload my last patch set to publish the rest of the changed done. It would pass with some suppression, which needs a bit more work to find a clean solution.

Feel free to restore or upload under your own name when interested in that work

Maybe there is a time frame in the future to do it. if not interested on phan, feel free to decline this task to fix the decision.